@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.contentWrapper {
  display: flex;
}

.dataContainer {
  width: 100%;
  height: fit-content;
  max-width: 1114px;
  display: flex;
  flex-wrap: wrap;
  grid-gap: 0 50px;
  margin-left: 50px;
}

.emptyDataContainer {
  height: auto;
}

.blocksContainer {
  display: flex;
  flex-direction: column;
}

.section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  border-right: 1px solid $greyColor;
  padding: 2px 10px 0 20px;

  &:first-child {
    width: 163px;
  }

  &:last-child {
    border-right: none;
    padding-right: 30px;
  }
}

.subtitle {
  @include font($fontGotham, 12px, 14.4px);
  color: $greyColor;
  margin-bottom: 5px;
}

.nameSubtitle {
  @include font($fontGothamLight, 14px, 16.8px);
  color: $greyText;
}

.itemName {
  @include font($fontGotham, 18px, 21.6px);
  color: $blackColor;
  white-space: nowrap;
  overflow: hidden;
  -o-text-overflow: ellipsis;
  -ms-text-overflow: ellipsis;
  text-overflow: ellipsis;
}

.secSection,
.thSection,
.fSection {
  width: 100%;
  @include font($fontGotham, 16px, 19.2px);
  color: $greyText;
  text-transform: lowercase;
}

.noData {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  @include font($fontGothamLight, 16px, 19.2px);
  color: $greyText;

  & > div {
    position: fixed;
    top: 50vh;
  }
}
